Void transaction

Deprecated
View as MarkdownOpen in Claude
<Warning> This endpoint is deprecated. Use it only to void transactions originally created with the legacy endpoints. New integrations should use the [Void endpoint](/developers/api-reference/moneyinV2/void-a-transaction), which only works on transactions created with [Make a transaction](/developers/api-reference/moneyinV2/make-a-transaction) or [Authorize](/developers/api-reference/moneyinV2/authorize-a-transaction). </Warning> Cancel a transaction that hasn't been settled yet. Voiding non-captured authorizations prevents future captures. If a transaction has been settled, refund it instead.

Authentication

requestTokenstring
API Key authentication via header

Path parameters

transIdstringRequired

ReferenceId for the transaction (PaymentId).

Response

Ok
responseCodeinteger

Code for the response. Learn more in API Response Codes.

roomIdlong

Field not in use on this endpoint. It always returns 0.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseDataobject
Response data for void transactions
pageIdentifierstring
Auxiliary validation used internally by payment pages and components.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error